Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class KemCiphertextInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.KemCiphertextInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class KemCiphertextInfo
extends ASN1Object

KemCiphertextInfo ::= SEQUENCE { kem AlgorithmIdentifier{KEM-ALGORITHM, {[]}}, ct OCTET STRING }

Constructor Summary
`KemCiphertextInfo(AlgorithmIdentifier kem, ASN1OctetString ct)`

Method Summary
`ASN1OctetString` | `getCt()`
`static KemCiphertextInfo` | `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` | `getKem()`
`ASN1Primitive` | `toASN1Primitive()` KemCiphertextInfo ::= SEQUENCE { kem AlgorithmIdentifier{KEM-ALGORITHM, {[]}}, ct OCTET STRING }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KemCiphertextInfo

    public KemCiphertextInfo(AlgorithmIdentifier kem,
                             ASN1OctetString ct)

Method Detail

### getInstance

    public static KemCiphertextInfo getInstance(java.lang.Object o)

### getKem

    public AlgorithmIdentifier getKem()

### getCt

    public ASN1OctetString getCt()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  KemCiphertextInfo ::= SEQUENCE { kem AlgorithmIdentifier{KEM-ALGORITHM, {[]}}, ct OCTET STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD